summaryrefslogtreecommitdiffstats
path: root/shell
diff options
context:
space:
mode:
authorChristoph Anton Mitterer <mail@christoph.anton.mitterer.name>2023-10-02 14:02:35 +0200
committerGitHub <noreply@github.com>2023-10-02 21:02:35 +0900
commite833823e15833122881a2cab333124c23fcc6ba5 (patch)
tree5163227691a7f0ae8f30788ff1e310736f0fb416 /shell
parentee4ba104e722960376988e4e6971b5c5c271c643 (diff)
[bash] Don’t print function definition when checking for existence (#3448)
When just checking whether a function is already defined or not, it’s not necessary to print out it’s definition (should it be defined). bash’s `declare` provides the `-F`-option (which implies `-f`), which should give a minor performance improvement Signed-off-by: Christoph Anton Mitterer <mail@christoph.anton.mitterer.name>
Diffstat (limited to 'shell')
-rw-r--r--shell/completion.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/shell/completion.bash b/shell/completion.bash
index 360a646e..a51713c6 100644
--- a/shell/completion.bash
+++ b/shell/completion.bash
@@ -12,7 +12,7 @@
if [[ $- =~ i ]]; then
# To use custom commands instead of find, override _fzf_compgen_{path,dir}
-if ! declare -f _fzf_compgen_path > /dev/null; then
+if ! declare -F _fzf_compgen_path > /dev/null; then
_fzf_compgen_path() {
echo "$1"
command find -L "$1" \
@@ -21,7 +21,7 @@ if ! declare -f _fzf_compgen_path > /dev/null; then
}
fi
-if ! declare -f _fzf_compgen_dir > /dev/null; then
+if ! declare -F _fzf_compgen_dir > /dev/null; then
_fzf_compgen_dir() {
command find -L "$1" \
-name .git -prune -o -name .hg -prune -o -name .svn -prune -o -type d \